<div id="top_of_dialog">
	<strong>{{tipo}} accantonamento</strong>
</div>
<br>

<div class="contentsDiv marginLeftZero" id="rightPanel"	style="min-height: 80px; box-sizing: unset;">
	<div class="listViewPageDiv">
		<div class="listViewActionsDiv row-fluid">
				<div class="alert alert-danger" ng-show="errorMessage">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>
						<span><strong>Attenzione: </strong>{{errorMessage}}</span>
					</div>
        <form name="ValueForm" autocomplete="off">
			<table class="table table-bordered blockContainer showInlineTable equalSplit tableFormatted">
				<tbody>
					<tr>
						<th class="fieldLabel medium" style="text-align: right; font:bold; width:30%; ">
							<label>
								<strong>Valore di accantonamento</strong>
							</label>
						</th>
						<td style="width: 70%;">
								<input type="text" class="form-control" name="importoAccantonato" id="importoAccantonato" 
								pattern="^[0-9]*(\.[0-9]{0,2})?$"
								ng-model="item.importoAccantonato" style="width: 98%; margin-bottom: 0%; height: 18px;">
								<div class="custom-error"  ng-show="ValueForm.importoAccantonato.$error.pattern" 
								style="color: red; font-size:14px; margin-top: 1%;">
									Numero non valido!</div>
                        </td>
					</tr>
                    <tr>
                            <th style="text-align: right; font:bold; width:30%; ">
                                    <label>
                                            <strong>Percentuale reclami %</strong>
                                        </label>
                                        </th>
                            <td style="width: 70%;">
								<input type="text" class="form-control" 
								pattern="^(100|\d{0,2})(\.\d{1,2})?$" name="percentuale" id="percentuale"
								ng-model="item.percentuale" style="width: 98%; margin-bottom: 0%; height: 18px;">
								<div class="custom-error"  ng-show="ValueForm.percentuale.$error.pattern" 
								style="color: red; font-size:14px; margin-top: 1%;">
									Numero non valido!</div>
                                  
                            </td>
                        </tr>
                        <tr>
                            <th style="text-align: right; font:bold; width:30%; ">
                                    <label>
                                            <strong>Note</strong>
                                        </label>
                                        </th>
                            <td style="width: 70%;">
                                <textarea rows="4" cols="50" type="text" class="form-control"
                                ng-model="item.note" style="width: 98%; margin-bottom: 0%;"></textarea>
                            </td>
						</tr>
				</tbody>
            </table>
            </form>
		</div>
	</div>
</div>
<div style="margin-top: 15px">
	<table width="100%">
		<head>
			<tr>
					<label ng-show="!(item.percentuale && item.importoAccantonato)" class="muted pull-left" style="margin-left: 3%">Valore di accantonamento e percentuale reclami sono campi obbligatori</label>
			</tr>
		</head>
		<tbody>
			<br>
			<br>
		<tr>
			<td>
			</td>
			<td align="left">
				<button autofocus type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;
					<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
					
				 <button type="button" class="btn addButton" ng-show="(item.percentuale && item.importoAccantonato)"  ng-click="saveAccantona()">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>  
			</td>
		</tr>
	</tbody>
    </table>
</div>
